EventBase::dispatch
EventBase::getFeatures
EventBase
PHP Manual

# EventBase::exit

Stop dispatching events

### Description

public void EventBase::exit ([ double `$timeout` ] )

Tells event base to stop optionally after given number of seconds.

### Parameters

`timeout`

  Optional number of seconds after which the event base should stop dispatching events.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`.

### See Also

- EventBase::stop